# Reconstruction, forecasting, and stability of chaotic dynamics from partial data

This repository contains the LaTeX source files and resources for the paper titled "Reconstruction, forecasting, and stability of chaotic dynamics from partial data," which has been submitted to Chaos on 24th May 2023.

## Abstract

This computational paper proposes data-driven methods for the reconstruction, forecasting, and stability analysis of chaotic systems from partial observations. Traditional equation-based methods may not be suitable for these tasks. The proposed approach utilizes long short-term memory (LSTM) networks to perform the following tasks:

1. Full-state Reconstruction: Inferring the dynamics of unobserved (hidden) chaotic variables.
2. Time Forecasting: Predicting the evolution of the full state over time.
3. Stability Inference: Estimating the stability properties of the full state.

Two types of LSTM networks are employed:

1. Low-to-High Resolution LSTM (LH-LSTM): Trained with partial observations as input and utilizing the full system state during loss computation.
2. Physics-Informed LSTM (PI-LSTM): Combining partial observations with the integral formulation of the dynamical system's evolution equations.

The paper derives the Jacobian of the LSTMs and analyzes two chaotic systems: the Kuramoto-Sivashinsky (KS) partial differential equation and the Lorenz-96 system. The results demonstrate that the proposed networks can accurately and statistically forecast the hidden variables. Furthermore, the networks successfully infer the Lyapunov exponents and covariant Lyapunov vectors, which characterize the stability of the chaotic attractors, from partial observations. The PI-LSTM outperforms the LH-LSTM in reconstructing the hidden chaotic dynamics when the input dimension is smaller or similar to the Kaplan-Yorke dimension of the attractor.

This work introduces new possibilities for reconstructing the full state, inferring hidden variables, and computing the stability of chaotic systems using partial data.

